Package be.fgov.ehealth.mediprima.core.v1

# Class PharmaceuticalDrugType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.MedicalCoverCommonInformationType
be.fgov.ehealth.mediprima.core.v1.PharmaceuticalDrugType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class PharmaceuticalDrugType extends MedicalCoverCommonInformationType implements Serializable

Java class for PharmaceuticalDrugType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PharmaceuticalDrugType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:mediprima:core:v1}MedicalCoverCommonInformationType">
           <sequence>
             <element name="PharmacyList" type="{urn:be:fgov:ehealth:mediprima:core:v1}NihiiNumberListType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PharmaceuticalDrugType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NihiiNumberListType`
  `getPharmacyList()`
  Gets the value of the pharmacyList property.
  `void`
  `setPharmacyList(NihiiNumberListType value)`
  Sets the value of the pharmacyList property.

  ### Methods inherited from class be.fgov.ehealth.mediprima.core.v1.MedicalCoverCommonInformationType

  `getAllowedSupplements, getAmountPatientPartMax, getPswcSupport, getValidityPeriod, setAllowedSupplements, setAmountPatientPartMax, setPswcSupport, setValidityPeriod`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PharmaceuticalDrugType

    public PharmaceuticalDrugType()

- ## Method Details

  - ### getPharmacyList

    public NihiiNumberListType getPharmacyList()
    Gets the value of the pharmacyList property.
    Returns:
      possible object is `NihiiNumberListType`

  - ### setPharmacyList

    public void setPharmacyList(NihiiNumberListType value)
    Sets the value of the pharmacyList property.
    Parameters:
      `value` - allowed object is `NihiiNumberListType`